Package de.tudresden.sumo.objects

## Class SumoVehicleSignal

- java.lang.Object
- - de.tudresden.sumo.objects.SumoVehicleSignal

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoVehicleSignal`

      public class SumoVehicleSignal
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow, Anja Liebscher

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoVehicleSignal​(int code)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getState​(SumoVehicleSignalState s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumoVehicleSignal

          public SumoVehicleSignal​(int code)

  - ### Method Detail

    - #### getState

          public boolean getState​(SumoVehicleSignalState s)